=== Modules/ThirdParty/libLBFGS/CMakeLists.txt ===
project(ITKLIBLBFGS)
set(ITKLIBLBFGS_THIRD_PARTY 1)


#option(ITK_USE_SYSTEM_LIBLBFGS "Use an outside build of LIBLBFGS." OFF)
#mark_as_advanced(ITK_USE_SYSTEM_LIBLBFGS)

#if(ITK_USE_SYSTEM_LIBLBFGS)
#  find_package(LIBLBFGS REQUIRED)
#  set(ITKLIBLBFGS_SYSTEM_INCLUDE_DIRS)
#  set(ITKLIBLBFGS_LIBRARIES LIBLBFGS)
#  set(ITKLIBLBFGS_SYSTEM_LIBRARY_DIRS "${LIBLBFGS_LIBRARY_DIR}")
#  set(ITKLIBLBFGS_NO_SRC 1)
#else()

set(ITKLIBLBFGS_INCLUDE_DIRS ${ITKLIBLBFGS_SOURCE_DIR}/include )
set(ITKLIBLBFGS_LIBRARIES itklbfgs)

#endif()

itk_module_impl()
