=== Modules/IO/BMP/wrapping/CMakeLists.txt ===
itk_wrap_module(ITKIOBMP)
itk_auto_load_and_end_wrap_submodules()
