=== Modules/IO/JPEG2000/wrapping/CMakeLists.txt ===
itk_wrap_module(ITKIOJPEG2000)
itk_auto_load_and_end_wrap_submodules()
